PSOC E8XXGP Device Support Library

| PSOC E8XXGP Device Support Library

Data Fields
SMIF_CORE_SMIF_CRYPTO_Type Struct Reference

## Description

Cryptography registers (one set for each key) (SMIF_CORE_SMIF_CRYPTO)

## Data Fields
__IOM uint32_t | CRYPTO_CMD
__IOM uint32_t | CRYPTO_ADDR
__IOM uint32_t | CRYPTO_MASK
__IOM uint32_t | CRYPTO_SUBREGION
__IM uint32_t | RESERVED [4]
__IOM uint32_t | CRYPTO_INPUT0
__IOM uint32_t | CRYPTO_INPUT1
__IOM uint32_t | CRYPTO_INPUT2
__IOM uint32_t | CRYPTO_INPUT3
__IM uint32_t | RESERVED1 [4]
__OM uint32_t | CRYPTO_KEY0
__OM uint32_t | CRYPTO_KEY1
__OM uint32_t | CRYPTO_KEY2
__OM uint32_t | CRYPTO_KEY3
__IM uint32_t | RESERVED2 [4]
__IOM uint32_t | CRYPTO_OUTPUT0
__IOM uint32_t | CRYPTO_OUTPUT1
__IOM uint32_t | CRYPTO_OUTPUT2
__IOM uint32_t | CRYPTO_OUTPUT3
__IM uint32_t | RESERVED3 [4]

## Field Documentation

## ◆ CRYPTO_CMD

__IOM uint32_t SMIF_CORE_SMIF_CRYPTO_Type::CRYPTO_CMD

0x00000000 Cryptography command

## ◆ CRYPTO_ADDR

__IOM uint32_t SMIF_CORE_SMIF_CRYPTO_Type::CRYPTO_ADDR

0x00000004 Cryptography base address

## ◆ CRYPTO_MASK

__IOM uint32_t SMIF_CORE_SMIF_CRYPTO_Type::CRYPTO_MASK

0x00000008 Cryptography mask

## ◆ CRYPTO_SUBREGION

__IOM uint32_t SMIF_CORE_SMIF_CRYPTO_Type::CRYPTO_SUBREGION

0x0000000C Cryptography subregion disable

## ◆ RESERVED

__IM uint32_t SMIF_CORE_SMIF_CRYPTO_Type::RESERVED[4]

## ◆ CRYPTO_INPUT0

__IOM uint32_t SMIF_CORE_SMIF_CRYPTO_Type::CRYPTO_INPUT0

0x00000020 Cryptography input 0

## ◆ CRYPTO_INPUT1

__IOM uint32_t SMIF_CORE_SMIF_CRYPTO_Type::CRYPTO_INPUT1

0x00000024 Cryptography input 1

## ◆ CRYPTO_INPUT2

__IOM uint32_t SMIF_CORE_SMIF_CRYPTO_Type::CRYPTO_INPUT2

0x00000028 Cryptography input 2

## ◆ CRYPTO_INPUT3

__IOM uint32_t SMIF_CORE_SMIF_CRYPTO_Type::CRYPTO_INPUT3

0x0000002C Cryptography input 3

## ◆ RESERVED1

__IM uint32_t SMIF_CORE_SMIF_CRYPTO_Type::RESERVED1[4]

## ◆ CRYPTO_KEY0

__OM uint32_t SMIF_CORE_SMIF_CRYPTO_Type::CRYPTO_KEY0

0x00000040 Cryptography key 0

## ◆ CRYPTO_KEY1

__OM uint32_t SMIF_CORE_SMIF_CRYPTO_Type::CRYPTO_KEY1

0x00000044 Cryptography key 1

## ◆ CRYPTO_KEY2

__OM uint32_t SMIF_CORE_SMIF_CRYPTO_Type::CRYPTO_KEY2

0x00000048 Cryptography key 2

## ◆ CRYPTO_KEY3

__OM uint32_t SMIF_CORE_SMIF_CRYPTO_Type::CRYPTO_KEY3

0x0000004C Cryptography key 3

## ◆ RESERVED2

__IM uint32_t SMIF_CORE_SMIF_CRYPTO_Type::RESERVED2[4]

## ◆ CRYPTO_OUTPUT0

__IOM uint32_t SMIF_CORE_SMIF_CRYPTO_Type::CRYPTO_OUTPUT0

0x00000060 Cryptography output 0

## ◆ CRYPTO_OUTPUT1

__IOM uint32_t SMIF_CORE_SMIF_CRYPTO_Type::CRYPTO_OUTPUT1

0x00000064 Cryptography output 1

## ◆ CRYPTO_OUTPUT2

__IOM uint32_t SMIF_CORE_SMIF_CRYPTO_Type::CRYPTO_OUTPUT2

0x00000068 Cryptography output 2

## ◆ CRYPTO_OUTPUT3

__IOM uint32_t SMIF_CORE_SMIF_CRYPTO_Type::CRYPTO_OUTPUT3

0x0000006C Cryptography output 3

## ◆ RESERVED3

__IM uint32_t SMIF_CORE_SMIF_CRYPTO_Type::RESERVED3[4]